#include <bits/stdc++.h>
using namespace std;

int a[1005][1005];
int minc[1005],maxr[1005];

int Pitaj(int i, int j);

std::vector<int> Nadji(int N, int K)
{
    for(int i=1;i<=N;i++)
    {
        minc[1005]=1000000001;
    }
    for(int i=1;i<=N;i++)
    {
        for(int j=1;j<=N;j++)
        {
            a[i][j]=Pitaj(i,j);
            minc[j]=min(minc[j],a[i][j]);
            maxr[i]=max(maxr[i],a[i][j]);
        }
    }
    for(int i=1;i<=N;i++)
    {
        for(int j=1;j<=N;j++)
        {
            if(a[i][j]>maxr[i] && a[i][j]<minc[j])
            {
                return {i,j};
            }
        }
    }
    return {0,0};
}